import React from 'react';
import type { RemotionMainAudioProps } from './props.js';
/**
 * @description With this component, you can add audio to your video. All audio formats which are supported by Chromium are supported by the component.
 * @see [Documentation](https://www.remotion.dev/docs/audio)
 */
export declare const Audio: React.ForwardRefExoticComponent<Omit<Omit<React.DetailedHTMLProps<React.AudioHTMLAttributes<HTMLAudioElement>, HTMLAudioElement>, "nonce" | "onEnded" | "onResize" | "onResizeCapture" | "autoPlay" | "controls"> & {
    name?: string | undefined;
    volume?: import("../volume-prop.js").VolumeProp | undefined;
    playbackRate?: number | undefined;
    acceptableTimeShiftInSeconds?: number | undefined;
    allowAmplificationDuringRender?: boolean | undefined;
    _remotionInternalNeedsDurationCalculation?: boolean | undefined;
    _remotionInternalNativeLoopPassed?: boolean | undefined;
    _remotionDebugSeeking?: boolean | undefined;
    toneFrequency?: number | undefined;
    pauseWhenBuffering?: boolean | undefined;
    showInTimeline?: boolean | undefined;
    delayRenderTimeoutInMilliseconds?: number | undefined;
    delayRenderRetries?: number | undefined;
    loopVolumeCurveBehavior?: import("./use-audio-frame.js").LoopVolumeCurveBehavior | undefined;
} & RemotionMainAudioProps & {
    /**
     * @deprecated For internal use only
     */
    readonly stack?: string | undefined;
}, "ref"> & React.RefAttributes<HTMLAudioElement>>;
